<%+header%>

<ul class="cbi-tabmenu">
	<li class="cbi-tab"><a href="<%=luci.dispatcher.build_url("admin/services/modmaster/data_window/rtu")%>"><%:Coil%></a></li>
	<li class="cbi-tab-disabled"><a href="<%=luci.dispatcher.build_url("admin/services/modmaster/data_window/rtu/discrete_input_register")%>">
                <%:Discrete Input Register%></a></li>
</ul>

<script type="text/javascript" src="<%=resource%>/cbi.js"></script>
<script type="text/javascript">//<![CDATA[
	XHR.poll(10, '<%=luci.dispatcher.build_url("admin", "services", "modmaster", "data_window","rtu","coil_status")%>', null,
		function(x, mArray)
		{
			var status = document.getElementById('coil_detail_text');
			if (mArray.mwandetail)
			{
				status.innerHTML = String.format('%s', mArray.mwandetail[0]);
			}
			else
			{
				status.innerHTML = 'No information available';
			}
		}
	);
//]]></script>

<div id="coil_detail_status">
	<fieldset class="cbi-section">
		<textarea readonly style="resize: none;"  rows="20" id="coil_detail_text">
                </textarea>
	</fieldset>
</div>
<%+footer%>
